> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourjobsearchgenius.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Package

> Fetch detailed information about a single subscription package using its unique ID.



## OpenAPI

````yaml api-reference/openapiFiles/packages/GetPackage/openapi.json get /packages/{_id}
openapi: 3.0.1
info:
  title: YJSG APIS
  description: >-
    A sample api that provides documentation for apis to be used by different
    integration partners.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.yourjobsearchgenius.ai/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /packages/{_id}:
    get:
      description: >-
        Fetch detailed information about a single subscription package using its
        unique ID.
      parameters:
        - name: _id
          in: path
          description: ID of the package to get (MongoDB ObjectId)
          required: true
          schema:
            type: string
            pattern: ^[a-fA-F0-9]{24}$
            example: 507f1f77bcf86cd799439011
      responses:
        '200':
          description: Customers response
          content:
            application/json:
              schema:
                type: object
                allOf:
                  - type: object
                    properties:
                      _id:
                        type: string
                        example: 507f1f77bcf86cd799439011
                      checkoutLink:
                        type: string
                        format: uri
                        example: https://example.com/auto-login?token=abc123
                  - $ref: '#/components/schemas/PackageResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Invalid Token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Resource not found!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Invalid data!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PackageResponse:
      type: object
      properties:
        name:
          description: The name of the package.
          type: string
        price:
          description: The price of the package.
          type: integer
          format: int64
        interval:
          description: >-
            The billing interval for the package. Possible values: `Daily,
            Weekly, Bi-Weekly, Monthly, Quarterly, Yearly`.
          type: string
          example: Daily
          enum:
            - Daily
            - Weekly
            - Bi-Weekly
            - Monthly
            - Quarterly
            - Yearly
        freeTrialDays:
          description: >-
            The number of free trial days. Send 0 if no free trial days. `Min:0,
            Max:7`.
          type: integer
          format: int64
          maximum: 7
          default: 0
          example: 7
        status:
          description: 'The status of the package. Possible values: `Active, Inactive`.'
          type: string
          enum:
            - Active
            - Inactive
          example: Active
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
          format: s
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````